apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: kagent
spec:
  template:
    spec:
      containers:
        - name: kagent
          resources:
            requests:
              cpu: "100m"
              memory: "128Mi"
            limits:
              cpu: "500m"
              memory: "512Mi"
          imagePullPolicy: Always
